[git] GPG-ERROR - branch, master, updated. gpgrt-1.28-18-g1bf46d0
by Werner Koch
cvs at cvs.gnupg.org
Thu Mar 22 20:02:25 CET 2018
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Error codes used by GnuPG et al.".
The branch, master has been updated
via 1bf46d047c60d3dc2cb21f0b321f7299b1611580 (commit)
via 1b30d21c8780f5510815d4fb2523afad9fff85dc (commit)
via 020c2fbb2871b34b16c62b31c7cb91aa5f750532 (commit)
from eeb1334fdddb48090fe0b98b8e2b6b805acaa136 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 1bf46d047c60d3dc2cb21f0b321f7299b1611580
Author: Werner Koch <wk at gnupg.org>
Date: Thu Mar 22 19:55:51 2018 +0100
build: Update travis configuration.
--
diff --git a/.travis.yml b/.travis.yml
index 08bba01..b009106 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,6 +1,7 @@
{
"language": "c",
"compiler": "gcc",
+ "script": "./autogen.sh --git-build",
"os": "linux",
"group": "stable",
"dist": "trusty"
commit 1b30d21c8780f5510815d4fb2523afad9fff85dc
Author: Werner Koch <wk at gnupg.org>
Date: Thu Mar 22 19:55:31 2018 +0100
build: Add option --git-build to autogen.sh
diff --git a/autogen.sh b/autogen.sh
index 4b511bf..23d27f3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -85,9 +85,10 @@ if test x"$1" = x"--help"; then
echo " --silent Silent operation"
echo " --force Pass --force to autoconf"
echo " --find-version Helper for configure.ac"
- echo " --build-TYPE Configure to cross build for TYPE"
+ echo " --git-build Run all commands to build from a Git"
echo " --print-host Print only the host triplet"
echo " --print-build Print only the build platform triplet"
+ echo " --build-TYPE Configure to cross build for TYPE"
echo ""
echo " ARGS are passed to configure in --build-TYPE mode."
echo " Configuration for this script is expected in autogen.rc"
@@ -159,6 +160,10 @@ case "$1" in
SILENT=" --silent"
shift
;;
+ --git-build)
+ myhost="git-build"
+ shift
+ ;;
--build-w32)
myhost="w32"
shift
@@ -187,6 +192,25 @@ esac
die_p
+# **** GIT BUILD ****
+# This is a helper to build from git.
+if [ "$myhost" = "git-build" ]; then
+ tmp="$(pwd)"
+ cd "$tsdir" || fatal "error cd-ing to $tsdir"
+ ./autogen.sh || fatal "error running ./autogen.sh"
+ cd "$tmp" || fatal "error cd-ing back to $tmp"
+ die_p
+ "$tsdir"/configure || fatal "error running $tsdir/configure"
+ die_p
+ make || fatal "error running make"
+ die_p
+ make check || fatal "error running male check"
+ die_p
+ exit 0
+fi
+# **** end GIT BUILD ****
+
+
# Source our configuration
if [ -f "${tsdir}/autogen.rc" ]; then
. "${tsdir}/autogen.rc"
commit 020c2fbb2871b34b16c62b31c7cb91aa5f750532
Author: Werner Koch <wk at gnupg.org>
Date: Thu Mar 22 19:32:59 2018 +0100
build: Testing travis.
--
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..08bba01
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,7 @@
+{
+ "language": "c",
+ "compiler": "gcc",
+ "os": "linux",
+ "group": "stable",
+ "dist": "trusty"
+}
-----------------------------------------------------------------------
Summary of changes:
.travis.yml | 8 ++++++++
autogen.sh | 26 +++++++++++++++++++++++++-
2 files changed, 33 insertions(+), 1 deletion(-)
create mode 100644 .travis.yml
hooks/post-receive
--
Error codes used by GnuPG et al.
http://git.gnupg.org
More information about the Gnupg-commits
mailing list